Shuts down a socket for receiving, sending, or both

- « socket_setopt

- socket_strerror »

- PHP Manual
- Socket Functions
- Shuts down a socket for receiving, sending, or both

# socket_shutdown

(PHP 4 >= 4.1.0, PHP 5, PHP 7, PHP 8)

socket_shutdown — Shuts down a socket for receiving, sending, or both

### Description

socket_shutdown(Socket `$socket`, int `$mode` = 2): bool

The socket_shutdown() function allows you to stop incoming, outgoing or all data (the default) from being sent through the `socket`

> Note:

> The associated buffer, or buffers, may or may not be emptied.

### Parameters

`socket`

  A Socket instance created with socket_create().

`mode`

  The value of `mode` can be one of the following:

  possible values for `mode`
  `0` | Shutdown socket reading
  `1` | Shutdown socket writing
  `2` | Shutdown socket reading and writing

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `socket` is a Socket instance now; previously, it was a resource.